<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Dispatchers_V4 StructType
 * @subpackage Structs
 */
class Get_Dispatchers_V4 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DispatcherSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DispatcherUserSelection
     */
    public $DispatcherSelection;
    /**
     * Constructor method for Get_Dispatchers_V4
     * @uses Get_Dispatchers_V4::setLogin()
     * @uses Get_Dispatchers_V4::setDispatcherSelection()
     * @param \StructType\Login $login
     * @param \StructType\DispatcherUserSelection $dispatcherSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\DispatcherUserSelection $dispatcherSelection = null)
    {
        $this
            ->setLogin($login)
            ->setDispatcherSelection($dispatcherSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Dispatchers_V4
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DispatcherSelection value
     * @return \StructType\DispatcherUserSelection|null
     */
    public function getDispatcherSelection()
    {
        return $this->DispatcherSelection;
    }
    /**
     * Set DispatcherSelection value
     * @param \StructType\DispatcherUserSelection $dispatcherSelection
     * @return \StructType\Get_Dispatchers_V4
     */
    public function setDispatcherSelection(\StructType\DispatcherUserSelection $dispatcherSelection = null)
    {
        $this->DispatcherSelection = $dispatcherSelection;
        return $this;
    }
}
